org.encog.neural.pnn

## Enum PNNOutputMode

- java.lang.Object
- - java.lang.Enum<PNNOutputMode>
  - - org.encog.neural.pnn.PNNOutputMode

- All Implemented Interfaces:
    Serializable, Comparable<PNNOutputMode>

      public enum PNNOutputMode
      extends Enum<PNNOutputMode>

  The output mode that will be used by the PNN.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Classification` Classification attempts to classify the input into a number of predefined classes.
    `Regression` Regression is where the neural network performs as a function.
    `Unsupervised` Unsupervised training will make use of autoassociation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PNNOutputMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PNNOutputMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unsupervised

          public static final PNNOutputMode Unsupervised

      Unsupervised training will make use of autoassociation. No "ideal" values should be provided for training. Input and output neuron counts must match.

    - #### Regression

          public static final PNNOutputMode Regression

      Regression is where the neural network performs as a function. Input is supplied, and output is returned. The output is a numeric value.

    - #### Classification

          public static final PNNOutputMode Classification

      Classification attempts to classify the input into a number of predefined classes. The class is stored in the ideal as a single "double" value, though it is really treated as an integer that represents class membership. The number of output neurons should match the number of classes. Classes are indexed beginning at 0.

  - ### Method Detail

    - #### values

          public static PNNOutputMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PNNOutputMode c : PNNOutputMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PNNOutputMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.